## START: Set by rpmautospec
## (rpmautospec version 0.7.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# This package only contains header files.
%global debug_package %{nil}
%global commit 706d3b58025364c2371cafcf9b16e32ff7e630ed
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20240816

Name:       sse2neon
Version:    1.7.0^%{gitdate}git%{shortcommit}
Release:    %autorelease
Summary:    A translator from Intel SSE intrinsics to Arm/Aarch64 NEON implementation
License:    MIT
URL:        https://github.com/DLTcollab/sse2neon
#Source:    %%{url}/archive/v%%{version}/%%{name}-%%{version}.tar.gz
Source:     %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Patch:      sse2neon-run-more-tests-on-gcc.patch
ExclusiveArch: aarch64
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: make

%global common_description %{expand:
sse2neon is a translator of Intel SSE (Streaming SIMD Extensions) intrinsics to
Arm NEON, shortening the time needed to get an Arm working program that then
can be used to extract profiles and to identify hot paths in the code. The
header file sse2neon.h contains several of the functions provided by Intel
intrinsic headers such as <xmmintrin.h>, only implemented with NEON-based
counterparts to produce the exact semantics of the intrinsics.}

%description
%{common_description}

%package    devel
Summary:    %{summary}
Provides:   %{name}-static = %{version}-%{release}

%description devel
%{common_description}

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
echo Nothing to build.

%install
install -dm755 %{buildroot}%{_includedir}
install -pm644 %{name}.h %{buildroot}%{_includedir}

%check
%make_build check

%files devel
%license LICENSE
%doc CONTRIBUTING.md README.md
%{_includedir}/%{name}.h

%changelog
## START: Generated by rpmautospec
* Wed Sep 11 2024 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.7.0^20240816git706d3b5-1
- Uncommitted changes

* Wed Sep 11 2024 Dominik 'Rathann' Mierzejewski <dominik@greysector.net> - 1.7.0-1
- initial package
## END: Generated by rpmautospec
